Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.entity
Class Language

    java.lang.Object
      com.gisgraphy.domain.geoloc.entity.Language

    public class Language

extends java.lang.Object

Represents a language

Author:
  David Masclet
See Also:
  List Of Languages

Constructor Summary
`Language()`
`Language(java.lang.String iso639LanguageName, java.lang.String iso639Alpha2LanguageCode, java.lang.String iso639Alpha3LanguageCode)`

Method Summary
`java.lang.Long` | `getId()`
`java.lang.String` | `getIso639Alpha2LanguageCode()`
`java.lang.String` | `getIso639Alpha3LanguageCode()`
`java.lang.String` | `getIso639LanguageName()`
`void` | `setId(java.lang.Long id)`
`void` | `setIso639Alpha2LanguageCode(java.lang.String iso639Alpha2LanguageCode)`
`void` | `setIso639Alpha3LanguageCode(java.lang.String iso639Alpha3LanguageCode)`
`void` | `setIso639LanguageName(java.lang.String iso639LanguageName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Language

    public Language()

### Language

    public Language(java.lang.String iso639LanguageName,
                    java.lang.String iso639Alpha2LanguageCode,
                    java.lang.String iso639Alpha3LanguageCode)

Parameters:
  `iso639LanguageName` - The iso 639 LanguageName for the current language
  `iso639Alpha2LanguageCode` - The iso 639 alpha 2 code for the current language
  `iso639Alpha3LanguageCode` - The iso 639 alpha 3 code for the current language

Method Detail

### getId

    public java.lang.Long getId()

  Returns:
    the datastore ID, it is not a domain value, just a technical one

### getIso639Alpha2LanguageCode

    public java.lang.String getIso639Alpha2LanguageCode()

  Returns:
    The iso 639 Alpha2 letter code, if available

### getIso639Alpha3LanguageCode

    public java.lang.String getIso639Alpha3LanguageCode()

  Returns:
    ISO-3 lettter code. Must be present

### getIso639LanguageName

    public java.lang.String getIso639LanguageName()

  Returns:
    official ISO name

### setId

    public void setId(java.lang.Long id)

  Parameters:
    `id` - The datastore id. You should never call this method. It is the responsibility of the dataStore
  See Also:
    `getId()`

### setIso639Alpha2LanguageCode

    public void setIso639Alpha2LanguageCode(java.lang.String iso639Alpha2LanguageCode)

  Parameters:
    `iso639Alpha2LanguageCode` -
  See Also:
    `getIso639Alpha2LanguageCode()`

### setIso639Alpha3LanguageCode

    public void setIso639Alpha3LanguageCode(java.lang.String iso639Alpha3LanguageCode)

  Parameters:
    `iso639Alpha3LanguageCode` -
  See Also:
    `getIso639Alpha3LanguageCode()`

### setIso639LanguageName

    public void setIso639LanguageName(java.lang.String iso639LanguageName)

  Parameters:
    `iso639LanguageName` -
  See Also:
    `getIso639LanguageName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.